# Interface MinilinksGeneratorOptions

interface MinilinksGeneratorOptions {
Link: any;
equal: ((oldLink, newLink) => boolean);
from: any;
from_id: any;
handler?: ((link, result) => any);
id: any;
in: any;
inByType: any;
out: any;
outByType: any;
to: any;
to_id: any;
type: any;
type_id: any;
typed: any;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:153

#####
Index

### Properties

Link
equal
from
from_id
handler?
id
in
inByType
out
outByType
to
to_id
type
type_id
typed

## Properties

### Link

Link: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:168

### equal

equal: ((oldLink, newLink) => boolean)

#### Type declaration

- - (oldLink, newLink): boolean

  - #### Parameters

    - ##### oldLink: any

    - ##### newLink: any

    #### Returns boolean

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:167

### from

from: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:159

### from_id

from_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:158

### `Optional` handler

handler?: ((link, result) => any)

#### Type declaration

- - (link, result): any

  - #### Parameters

    - ##### link: any

    - ##### result: any

    #### Returns any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:166

### id

id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:154

### in

in: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:163

### inByType

inByType: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:164

### out

out: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:160

### outByType

outByType: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:165

### to

to: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:162

### to_id

to_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:161

### type

type: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:156

### type_id

type_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:155

### typed

typed: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.ts:157

Generated using TypeDoc